#!/bin/sh

export PATH=/usr/bin:/bin
export CVS_RSH=ssh

SRCTOPDIR=/usr/src
DATE=`date '+%Y%m%d'`
TMPDIR=/tmp
DIFFDIRS='sys/arch/powerpc sys/arch/evbppc sys/dev/pci'

###############################################################################

DESTDIR=${TMPDIR}/nb-obs266-${DATE}

rm -rf ${DESTDIR}
mkdir ${DESTDIR}
cp $0 ${DESTDIR}

cd ${SRCTOPDIR}

for i in ${DIFFDIRS}
do
	base=`echo ${i} | sed 's;/;-;g'`
	df=${DESTDIR}/${base}.patch
	nf=${DESTDIR}/${base}.newfiles.tar.gz

	echo "===> ${i}"
	echo "Making cvs-diff patch..."
	cvs -q diff -u $i > ${df}
	echo "done"

	echo "Making new files tar.gz..."
	newfiles=`grep "\?" ${df} | sed 's/^\?//'`
	if [ "x${newfiles}" != "x" ]; then
		tar --exclude "*OPENBLOCKS405*" -zcvf ${nf} ${newfiles}
	fi
	echo "done"

	lines=`egrep -v "^\?" ${df} | wc -l`
	test ${lines} = 0 && rm -f ${df}
done

cd ${TMPDIR}
tar zcf ${DESTDIR}.tar.gz `basename ${DESTDIR}`
rm -rf ${DESTDIR}

exit 0
